%define major	8
%define libname	%mklibname nfs %major
%define devname	%mklibname nfs -d

Name:		libnfs
Version:	1.11.0
Release:	%mkrel 1
Summary:	Client library for accessing NFS shares over a network
# The library is licensed as LGPLv2+, the protocol definition is BSD
License:	LGPLv2+ and BSD
Group:		System/Libraries
URL:		https://github.com/sahlberg/libnfs
Source0:	https://github.com/sahlberg/libnfs/archive/libnfs-%version.tar.gz
BuildRequires:	python

%description
The libnfs package contains a library of functions for accessing NFSv2
and NFSv3 servers from user space. It provides a low-level, asynchronous
RPC library for accessing NFS protocols, an asynchronous library with
POSIX-like VFS functions, and a synchronous library with POSIX-like VFS
functions.

%package -n %libname
Summary:	Shared library of libnfs
Group:		System/Libraries
Provides:	%name = %version-%release

%description -n %libname
LIBNFS is a client library for accessing NFS shares over a network.

This package contains the library needed to run programs dynamically
linked with libnfs.

%package -n %devname
Summary:	Development files for libnfs
Group:		Development/C
# The library is licensed as LGPLv2+, the protocol definition is BSD
# and the example source code is GPLv3+.
License:	LGPLv2+ and BSD and GPLv3+
Requires:	%libname = %version
Provides:	nfs-devel = %version-%release
Provides:	libnfs-devel = %version-%release

%description -n %devname
The %devname package contains libraries and header files for
developing applications that use libnfs.

%package utils
Summary:	Utilities for accessing NFS servers
License:	GPLv3+
Group:		Networking/Other
Requires:	%libname = %version

%description utils
The libnfs-utils package contains simple client programs for accessing
NFS servers using libnfs.

%prep
%setup -q -n libnfs-libnfs-%version

%build
./bootstrap
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}
%doc README
%license COPYING
%license LICENCE-*.txt

%files -n %devname
%{_libdir}/libnfs.so
%{_includedir}/nfsc/
%{_libdir}/pkgconfig/libnfs.pc
%doc examples/*.c

%files utils
%{_bindir}/nfs-*
%{_mandir}/man1/nfs-*.1*


%changelog
* Thu Mar 16 2017 ghibo <ghibo> 1.11.0-1.mga6
+ Revision: 1093147
- Update to release 1.11.0

* Tue Apr 26 2016 tv <tv> 1.9.8-1.mga6
+ Revision: 1006592
- adjust license
- package examples
- easy sync with FC
- package license
- introduce the utils sub package
- major is now 8
- new release (needed for Qemu)

* Fri Apr 15 2016 tv <tv> 1.6.0-6.mga6
+ Revision: 1001834
- provides libnfs-devel

* Mon Feb 08 2016 umeabot <umeabot> 1.6.0-5.mga6
+ Revision: 942691
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-4.mga5
+ Revision: 749598
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-3.mga5
+ Revision: 681646
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 545160
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 1.6.0-1.mga4
+ Revision: 500868
- new version 1.6.0

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + anssi <anssi>
    - drop README from library package

* Sat Mar 03 2012 anssi <anssi> 1.3.0-1.mga2
+ Revision: 217361
- initial Mageia package release

